Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Actions/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -216,9 +216,9 @@
 
 
-lib_LTLIBRARIES = libMolecuilderActions-@MOLECUILDER_API_VERSION@.la
-libMolecuilderActions_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
+lib_LTLIBRARIES = libMolecuilderActions.la
+libMolecuilderActions_includedir = $(includedir)/MoleCuilder/Actions/
 libMolecuilderActions_libs = \
-	../Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la
+	../Parser/libMolecuilderParser.la \
+	../UIElements/libMolecuilderUI.la
 nobase_libMolecuilderActions_include_HEADERS = ${ACTIONSHEADER}
 
@@ -231,10 +231,10 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderActions_@MOLECUILDER_API_VERSION@_la_SOURCES = ${ACTIONSSOURCE}
+libMolecuilderActions_la_SOURCES = ${ACTIONSSOURCE}
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderActions_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderActions_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -249,6 +249,6 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilderActions_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-nodist_libMolecuilderActions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#libMolecuilderActions_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderActions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
@@ -256,6 +256,6 @@
 ## pkg-config files are also used for architecture-independent data packages,
 ## in which case the correct install location would be $(datadir)/pkgconfig.
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 unity.cpp:
Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Actions/unittests/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -18,17 +18,17 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 ALLLIBS = \
-	../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	../../Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
+	../../UIElements/libMolecuilderUI.la \
+	../../Actions/libMolecuilderActions.la \
 	${PARSERLIBS} \
-	../../libMolecuilder-@MOLECUILDER_API_VERSION@.la \
+	../../libMolecuilder.la \
 	${GSLLIBS}
 
-PARSERLIBS = ../../Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la
-UILIBS = ../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la  
+PARSERLIBS = ../../Parser/libMolecuilderParser.la
+UILIBS = ../../UIElements/libMolecuilderUI.la  
 
 
Index: src/Descriptors/unittests/Makefile.am
===================================================================
--- src/Descriptors/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Descriptors/unittests/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -16,17 +16,17 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 ALLLIBS = \
-	../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	../../Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
+	../../UIElements/libMolecuilderUI.la \
+	../../Actions/libMolecuilderActions.la \
 	${PARSERLIBS} \
-	../../libMolecuilder-@MOLECUILDER_API_VERSION@.la \
+	../../libMolecuilder.la \
 	${GSLLIBS}
 
-PARSERLIBS = ../../Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la
-UILIBS = ../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la  
+PARSERLIBS = ../../Parser/libMolecuilderParser.la
+UILIBS = ../../UIElements/libMolecuilderUI.la  
 
 
Index: src/Exceptions/Makefile.am
===================================================================
--- src/Exceptions/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Exceptions/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -36,6 +36,6 @@
 
 
-lib_LTLIBRARIES = libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la
-libMolecuilderExceptions_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Exceptions/
+lib_LTLIBRARIES = libMolecuilderExceptions.la
+libMolecuilderExceptions_includedir = $(includedir)/MoleCuilder/Exceptions/
 nobase_libMolecuilderExceptions_include_HEADERS = ${EXCEPTIONHEADER}
 
@@ -48,10 +48,10 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderExceptions_@MOLECUILDER_API_VERSION@_la_SOURCES = ${EXCEPTIONSOURCE}
+libMolecuilderExceptions_la_SOURCES = ${EXCEPTIONSOURCE}
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderExceptions_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderExceptions_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -66,6 +66,6 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilderExceptions_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-nodist_libMolecuilderExceptions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#libMolecuilderExceptions_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderExceptions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
@@ -73,6 +73,6 @@
 ## pkg-config files are also used for architecture-independent data packages,
 ## in which case the correct install location would be $(datadir)/pkgconfig.
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 unity.cpp:
Index: src/LinearAlgebra/Makefile.am
===================================================================
--- src/LinearAlgebra/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/LinearAlgebra/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -51,7 +51,7 @@
 
 
-lib_LTLIBRARIES = libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la
-libMolecuilderLinearAlgebra_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
-libMolecuilderLinearAlgebra_libs = ../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la $(GSL_LIBS)
+lib_LTLIBRARIES = libMolecuilderLinearAlgebra.la
+libMolecuilderLinearAlgebra_includedir = $(includedir)/MoleCuilder/LinearAlgebra/
+libMolecuilderLinearAlgebra_libs = ../Exceptions/libMolecuilderExceptions.la $(GSL_LIBS)
 nobase_libMolecuilderLinearAlgebra_include_HEADERS = ${LINALGHEADER}
 
@@ -64,10 +64,10 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderLinearAlgebra_@MOLECUILDER_API_VERSION@_la_SOURCES = ${LINALGSOURCE}
+libMolecuilderLinearAlgebra_la_SOURCES = ${LINALGSOURCE}
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderLinearAlgebra_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderLinearAlgebra_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -82,6 +82,6 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilderLinearAlgebra_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-nodist_libMolecuilderLinearAlgebra_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#libMolecuilderLinearAlgebra_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderLinearAlgebra_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
@@ -89,6 +89,6 @@
 ## pkg-config files are also used for architecture-independent data packages,
 ## in which case the correct install location would be $(datadir)/pkgconfig.
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 unity.cpp:
Index: src/LinearAlgebra/unittests/Makefile.am
===================================================================
--- src/LinearAlgebra/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/LinearAlgebra/unittests/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -23,6 +23,6 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -237,18 +237,10 @@
   World.hpp 
 
-lib_LTLIBRARIES = libMolecuilder-@MOLECUILDER_API_VERSION@.la
-libMolecuilder_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
+lib_LTLIBRARIES = libMolecuilder.la
+libMolecuilder_includedir = $(includedir)/MoleCuilder/
 libMolecuilder_LIBS = \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	${CodePatterns_LIBS} \
 	${BOOST_PROGRAM_OPTIONS_LIB}
-
-#	UIElements/libMolecuilderUI.a \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
-	Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
-	Helpers/libMolecuilderHelpers-@MOLECUILDER_API_VERSION@.la \
-	$(BOOST_LIB) \
-	${BOOST_THREAD_LIB}
 
 nobase_libMolecuilder_include_HEADERS = ${MOLECUILDERHEADER}
@@ -262,10 +254,10 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilder_@MOLECUILDER_API_VERSION@_la_SOURCES = ${MOLECUILDERSOURCE} $(srcdir)/version.c
+libMolecuilder_la_SOURCES = ${MOLECUILDERSOURCE} $(srcdir)/version.c
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilder_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilder_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -280,5 +272,5 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilder_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
+libMolecuilder_libincludedir = $(libdir)/MoleCuilder/include
 nodist_libMolecuilder_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
@@ -288,5 +280,5 @@
 ## in which case the correct install location would be $(datadir)/pkgconfig.
 pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 
@@ -307,6 +299,6 @@
 SubspaceFactorizer_SOURCES = SubspaceFactorizer.cpp Helpers/defs.cpp Helpers/defs.hpp Helpers/helpers.cpp Helpers/helpers.hpp
 SubspaceFactorizer_LDADD = \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(GSLLIB) \
@@ -318,10 +310,10 @@
 molecuilder_SOURCES = builder.cpp builder_init.cpp builder_init.hpp
 molecuilder_LDADD = \
-	UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
-	libMolecuilder-@MOLECUILDER_API_VERSION@.la \
-	Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	UIElements/libMolecuilderUI.la \
+	Actions/libMolecuilderActions.la \
+	libMolecuilder.la \
+	Parser/libMolecuilderParser.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -336,11 +328,11 @@
 
 molecuildergui_LDADD = \
-	UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	UIElements/libMolecuilderQtUI-@MOLECUILDER_API_VERSION@.la \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
-	libMolecuilder-@MOLECUILDER_API_VERSION@.la \
-	Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	UIElements/libMolecuilderUI.la \
+	UIElements/libMolecuilderQtUI.la \
+	Actions/libMolecuilderActions.la \
+	libMolecuilder.la \
+	Parser/libMolecuilderParser.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB) \
@@ -349,10 +341,10 @@
 joiner_SOURCES = joiner.cpp datacreator.cpp datacreator.hpp periodentafel.hpp
 joiner_LDADD = \
-	UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
-	libMolecuilder-@MOLECUILDER_API_VERSION@.la \
-	Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	UIElements/libMolecuilderUI.la \
+	Actions/libMolecuilderActions.la \
+	libMolecuilder.la \
+	Parser/libMolecuilderParser.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -360,10 +352,10 @@
 analyzer_SOURCES = analyzer.cpp datacreator.cpp periodentafel.hpp datacreator.hpp 
 analyzer_LDADD = \
-	UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
-	libMolecuilder-@MOLECUILDER_API_VERSION@.la \
-	Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	UIElements/libMolecuilderUI.la \
+	Actions/libMolecuilderActions.la \
+	libMolecuilder.la \
+	Parser/libMolecuilderParser.la \
+	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
Index: src/Parser/Makefile.am
===================================================================
--- src/Parser/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Parser/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -34,6 +34,6 @@
 
 
-lib_LTLIBRARIES = libMolecuilderParser-@MOLECUILDER_API_VERSION@.la
-libMolecuilderParser_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
+lib_LTLIBRARIES = libMolecuilderParser.la
+libMolecuilderParser_includedir = $(includedir)/MoleCuilder/Parser/
 nobase_libMolecuilderParser_include_HEADERS = ${PARSERHEADER}
 
@@ -46,10 +46,10 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderParser_@MOLECUILDER_API_VERSION@_la_SOURCES = ${PARSERSOURCE}
+libMolecuilderParser_la_SOURCES = ${PARSERSOURCE}
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderParser_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderParser_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -64,6 +64,6 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilderParser_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-nodist_libMolecuilderParser_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#libMolecuilderParser_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderParser_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
@@ -71,6 +71,6 @@
 ## pkg-config files are also used for architecture-independent data packages,
 ## in which case the correct install location would be $(datadir)/pkgconfig.
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 unity.cpp:
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Parser/unittests/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -17,18 +17,18 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 
 ALLLIBS = \
-	../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	../../Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
+	../../UIElements/libMolecuilderUI.la \
+	../../Actions/libMolecuilderActions.la \
 	${PARSERLIBS} \
-	../../libMolecuilder-@MOLECUILDER_API_VERSION@.la \
+	../../libMolecuilder.la \
 	${GSLLIBS}
 
-PARSERLIBS = ../../Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la
-UILIBS = ../../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la  
+PARSERLIBS = ../../Parser/libMolecuilderParser.la
+UILIBS = ../../UIElements/libMolecuilderUI.la  
 
 ParserCommonUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/UIElements/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -230,14 +230,14 @@
 
 
-lib_LTLIBRARIES = libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	libMolecuilderQtUI-@MOLECUILDER_API_VERSION@.la
-libMolecuilderUI_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
-libMolecuilderQtUI_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/ 
-libMolecuilderUI_@MOLECUILDER_API_VERSION@_la_LIBS = \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la
-libMolecuilderQtUI_@MOLECUILDER_API_VERSION@_la_LIBS = \
-	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la
-
-libMolecuilderQtUI_@MOLECUILDER_API_VERSION@_la_LIBADD = ${QT_LIB_GUI} -lQtOpenGL ${GLU_LIBS} ${QT_LDADD}
+lib_LTLIBRARIES = libMolecuilderUI.la \
+	libMolecuilderQtUI.la
+libMolecuilderUI_includedir = $(includedir)/MoleCuilder/UIElements/
+libMolecuilderQtUI_includedir = $(includedir)/MoleCuilder/UIElements/ 
+libMolecuilderUI_la_LIBS = \
+	Actions/libMolecuilderActions.la
+libMolecuilderQtUI_la_LIBS = \
+	Actions/libMolecuilderActions.la
+
+libMolecuilderQtUI_la_LIBADD = ${QT_LIB_GUI} -lQtOpenGL ${GLU_LIBS} ${QT_LDADD}
 
 nobase_libMolecuilderUI_include_HEADERS = ${UIHEADER}
@@ -252,12 +252,12 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderUI_@MOLECUILDER_API_VERSION@_la_SOURCES = ${UISOURCE}
-libMolecuilderQtUI_@MOLECUILDER_API_VERSION@_la_SOURCES = ${QTUISOURCE}
+libMolecuilderUI_la_SOURCES = ${UISOURCE}
+libMolecuilderQtUI_la_SOURCES = ${QTUISOURCE}
 
 ## Instruct libtool to include ABI version information in the generated shared
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderUI_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
-libMolecuilderQtUI_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderUI_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderQtUI_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -272,8 +272,8 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilderUI_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-libMolecuilderQtUI_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
-nodist_libMolecuilderUI_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
-nodist_libMolecuilderQtUI_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#libMolecuilderUI_libincludedir = $(libdir)/MoleCuilder/include
+#libMolecuilderQtUI_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderUI_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+#nodist_libMolecuilderQtUI_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
@@ -281,6 +281,6 @@
 ## pkg-config files are also used for architecture-independent data packages,
 ## in which case the correct install location would be $(datadir)/pkgconfig.
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
 unity.cpp:
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/unittests/Makefile.am	(revision acbe1b77b823d2bb1821c128fc01df591be27828)
@@ -37,16 +37,16 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 GSLLIBS = \
-	../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../Exceptions/libMolecuilderExceptions.la \
 	$(BOOST_LIB)
 ALLLIBS = \
-	../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la \
-	../Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la \
+	../UIElements/libMolecuilderUI.la \
+	../Actions/libMolecuilderActions.la \
 	${PARSERLIBS} \
-	../libMolecuilder-@MOLECUILDER_API_VERSION@.la \
+	../libMolecuilder.la \
 	${GSLLIBS}
 
-PARSERLIBS = ../Parser/libMolecuilderParser-@MOLECUILDER_API_VERSION@.la
-UILIBS = ../UIElements/libMolecuilderUI-@MOLECUILDER_API_VERSION@.la  
+PARSERLIBS = ../Parser/libMolecuilderParser.la
+UILIBS = ../UIElements/libMolecuilderUI.la
 
 TESTSOURCES = \
